Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.TaggedPDFCallback Class Reference

## Public Member Functions
| Release ()
| A callback function used to release current callback object itself. More...
| Report (category, confidence, page_index, rect)
| A callback function used to get the tagged PDF document result information, triggered when the document will be tagged. More...

## Static Public Attributes
static | e_ReportCategoryArtifact
| Report category type: artifact.
static | e_ReportCategoryFigure
| Report category type: figure.
static | e_ReportCategoryListItem
| Report category type: list item.
static | e_ReportCategoryParagraph
| Report category type: paragraph.
static | e_ReportCategoryRegion
| Enumeration for report category type used for tagged PDF. More...
static | e_ReportCategoryTable
| Report category type: table.
static | e_ReportCategoryTableHeader
| Report category type: table header.
static | e_ReportCategoryTableRow
| Report category type: table row.
static | e_ReportCategoryTocItem
| Report category type: toc item.
static | e_ReportConfidenceHigh
| Enumeration for report confidence used for tag PDF document. More...
static | e_ReportConfidenceLow
| Report confidence: low.
static | e_ReportConfidenceMedium
| Report confidence: medium.
static | e_ReportConfidenceMediumHigh
| Report confidence: medium high.
static | e_ReportConfidenceMediumLow
| Report confidence: medium low.

## Detailed Description

This class represents a callback object used to tag PDF document. All the pure virtual functions in this class are used as callback functions and should be implemented by user in derived class. User can also re-write the virtual functions in this class in custom way.

## Member Function Documentation

## ◆ Release()

FSDK.TaggedPDFCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ Report()

FSDK.TaggedPDFCallback.Report | ( | category | ,
|  | confidence | ,
|  | page_index | ,
|  | rect |
| ) |  |

A callback function used to get the tagged PDF document result information, triggered when the document will be tagged.

This function is very useful for user to get the tagged PDF document result information.

Parameters

  [in] | category | The report category for tagged PDF. Please refer to values starting from FSDK.TaggedPDFCallback.e_ReportCategoryRegion and this would be one of these values.
  [in] | confidence | The report confidence for tagged PDF. Please refer to values starting from FSDK.TTaggedPDFCallback.e_ReportConfidenceHigh and this would be one of these values.
  [in] | page_index | The page index of current report item belongs to.
  [in] | rect | The rectangle of current report item.

Returns
  None.

## Member Data Documentation

## ◆ e_ReportCategoryRegion

FSDK.TaggedPDFCallback.e_ReportCategoryRegion
| static

Enumeration for report category type used for tagged PDF.

Values of this enumeration should be used alone.

Report category type: region.

## ◆ e_ReportConfidenceHigh

FSDK.TaggedPDFCallback.e_ReportConfidenceHigh
| static

Enumeration for report confidence used for tag PDF document.

Values of this enumeration should be used alone.

Report confidence: high.